%define module 	Tk-TableMatrix
%define name 	perl-%{module}
%define version 1.23
%define release %mkrel 3

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	Tk-TableMatrix perl module
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source0:	http://cpan.org/authors/id/C/CE/CERNEY/%{module}-%{version}.tar.bz2
# for fake X display:
BuildRequires:	XFree86-Xvfb
BuildRequires:	X11-devel
BuildRequires:	perl-devel
BuildRequires:	perl-Tk-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

%package devel
Summary:	Tk::TableMatrix modules for Perl (development package)
Group:		Development/C
Requires:	%{name} = %{version}

%description devel
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

This is the development package.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# DISABLE the check for now. It's won't work with build bots. 20061104.SE
#XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
#{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
#export DISPLAY=:$XDISPLAY
#xauth add $DISPLAY . EE
#{__make} test

#xauth remove $DISPLAY
#kill $(cat /tmp/.X$XDISPLAY-lock)

%install
rm -rf %{buildroot}
%makeinstall_std

# 20070818 remove file owned by perl-Tk-804.027-7mdv2007.0.i586
rm -rf %{buildroot}/%{perl_vendorarch}/Tk/pTk/extralibs.ld

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Tk
%{perl_vendorarch}/auto/Tk
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Tk




%changelog
* Mon Feb 04 2008 Jérôme Quelin <jquelin@mandriva.org> 1.23-3mdv2008.1
+ Revision: 162067
- forcing rebuild with new perl 5.10

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 18 2007 Stefan van der Eijk <stefan@mandriva.org> 1.23-1mdv2008.0
+ Revision: 65426
- remove file owned by perl-Tk


* Thu Feb 01 2007 Stefan van der Eijk <stefan@mandriva.org> 1.23-1mdv2007.0
+ Revision: 115815
- 1.23

* Sat Nov 04 2006 Stefan van der Eijk <stefan@mandriva.org> 1.22-2mdv2007.1
+ Revision: 76554
- DISABLE the check for now. It's won't work with build bots.
- Import perl-Tk-TableMatrix

* Tue Mar 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdk
- New release 1.22

* Wed Mar 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdk
- New release 1.21
- spec cleanup
- fix directory ownership"

* Mon Dec 26 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2-1mdk
- 1.2
- %%mkrel

* Mon Nov 29 2004 Stefan van der Eijk <stefan@mandrake.org> 1.1-2mdk
- rebuild for new perl

* Thu Jul 22 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-1mdk
- 1.1

